ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jonathan Hurley (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-22205) Install Version Fails On IOP Cluster Due To Missing stack_packages Structure
Date Wed, 11 Oct 2017 14:44:00 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-22205?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16200386#comment-16200386
] 

Jonathan Hurley commented on AMBARI-22205:
------------------------------------------

Yup - we just missed 1 property ...

{code}
    // the 3 properties we need to check and update
    Set<String> properties = Sets.newHashSet(ConfigHelper.CLUSTER_ENV_STACK_ROOT_PROPERTY,
        ConfigHelper.CLUSTER_ENV_STACK_TOOLS_PROPERTY,
        ConfigHelper.CLUSTER_ENV_STACK_FEATURES_PROPERTY);
{code}

... need to add {{ConfigHelper.CLUSTER_ENV_STACK_PACKAGES_PROPERTY}}

> Install Version Fails On IOP Cluster Due To Missing stack_packages Structure
> ----------------------------------------------------------------------------
>
>                 Key: AMBARI-22205
>                 URL: https://issues.apache.org/jira/browse/AMBARI-22205
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-upgrade
>         Environment: ambari-server version :- 2.6.0.0-192
> stack upgrade:- BigInsights-4.2.5.0 to HDP-2.6.3.0
>            Reporter: Pradarttana
>            Assignee: Jonathan Hurley
>            Priority: Blocker
>
> *Steps to reproduce:-*
> 1. Perform ambari upgrade
> 2. Register the version.
> 3. Install packages
> Install packages failed with 
> {code}
> "Cannot find conf-select packages for the {0} stack".format(stack_name))
> resource_management.core.exceptions.Fail: Cannot find conf-select packages for the HDP
stack
> {code}
> stdout:-
> {code}
> Traceback (most recent call last):
>   File "/var/lib/ambari-agent/cache/custom_actions/scripts/install_packages.py", line
423, in <module>
>     InstallPackages().execute()
>   File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 367, in execute
>     method(env)
>   File "/var/lib/ambari-agent/cache/custom_actions/scripts/install_packages.py", line
154, in actionexecute
>     self._relink_configurations_with_conf_select(stack_id, self.structured_output['actual_version'])
>   File "/var/lib/ambari-agent/cache/custom_actions/scripts/install_packages.py", line
184, in _relink_configurations_with_conf_select
>     for package_name, directories in conf_select.get_package_dirs().iteritems():
>   File "/usr/lib/python2.6/site-packages/resource_management/libraries/functions/conf_select.py",
line 69, in get_package_dirs
>     "Cannot find conf-select packages for the {0} stack".format(stack_name))
> resource_management.core.exceptions.Fail: Cannot find conf-select packages for the HDP
stack
> {code}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message